Package org.eclipse.m2m.atl.emftvm.util

# Class OCLOperations.UniqueResolveList.UniqueResolveIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<Object>
LazyCollection<Object>.org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
org.eclipse.m2m.atl.emftvm.util.OCLOperations.ResolveList.ResolveIterator
org.eclipse.m2m.atl.emftvm.util.OCLOperations.UniqueResolveList.UniqueResolveIterator

All Implemented Interfaces:
  `Iterator<Object>`

Enclosing class:
  `OCLOperations.UniqueResolveList`

public class OCLOperations.UniqueResolveList.UniqueResolveIterator extends OCLOperations.ResolveList.ResolveIterator
`Iterator` that resolves unique trace links for a given rule.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

## Constructor Summary

Constructors
Constructor
Description
`UniqueResolveIterator()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`hasNext, updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### UniqueResolveIterator

public UniqueResolveIterator()

## Method Details

### next

public Object next()

Specified by:
  `next` in interface `Iterator<Object>`
Overrides:
  `next` in class `OCLOperations.ResolveList.ResolveIterator`